//
//  AuthenticationViewController.swift
//  SSOExtension
//
//  Created by trd-studs on 26/04/2021.
//

import UIKit
import AuthenticationServices

class AuthenticationViewController: UIViewController {

    var authorizationRequest: ASAuthorizationProviderExtensionAuthorizationRequest?

    override func loadView() {
        super.loadView()
        // Do any additional setup after loading the view.
    }

    override var nibName: String? {
        return "AuthenticationViewController"
    }
}

extension AuthenticationViewController: ASAuthorizationProviderExtensionAuthorizationRequestHandler {
    
    public func beginAuthorization(with request: ASAuthorizationProviderExtensionAuthorizationRequest) {
        self.authorizationRequest = request
        
        let url = request.url
        //AuthManager.shared.authorize(url: url, view: self)
        // Call this to indicate immediate authorization succeeded.
        let authorizationHeaders = [String: String]() // TODO: Fill in appropriate authorization headers.
        //request.complete(httpAuthorizationHeaders: authorizationHeaders)
       
        // Or present authorization view and call self.authorizationRequest.complete() later after handling interactive authorization.
        request.presentAuthorizationViewController(completion: { (success, error) in
             if error != nil {
                 request.complete(error: error!)
             }
         })
    }
}
