﻿using KerberosSSOA.Pages;
using LightInject;
using Xamarin.Forms;

namespace KerberosSSOA
{
    public partial class App : Application
    {
        private readonly IServiceContainer m_serviceContainer;

        public App(IServiceContainer serviceContainer)
        {
            m_serviceContainer = serviceContainer;

            InitializeComponent();

            var mainPage = m_serviceContainer.GetInstance<MainPage>();
            MainPage = mainPage;
        }

        protected override void OnStart()
        {
        }

        protected override void OnSleep()
        {
        }

        protected override void OnResume()
        {
        }
    }
}
